Summary:       Utilities for implanting and verifying an md5sum implanted into an ISO9660 image
Name:          isomd5sum
Version:       1.2.3
Release:       8%{?dist}
License:       GPLv2+
Url:           https://github.com/rhinstaller/isomd5sum
Source0:       https://github.com/rhinstaller/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Patch5000:	add-loongarch64-support-for-isomd5sum.patch

BuildRequires: gcc make
BuildRequires: popt-devel python3-devel

%description
The isomd5sum provides a way of making use of the ISO9660 application
data area to store md5sum data about the iso. This allows you to check
the iso given nothing more than the iso itself.

%package devel
Summary: Development package for isomd5sum
Requires: %{name} = %{version}-%{release}
Provides: %{name}-static = %{version}-%{release}

%description devel
This package includes header files, libraries necessary for developing
programs which use isomd5sum library.

%package -n python3-isomd5sum
Summary: Python bindings for isomd5sum

%description -n python3-isomd5sum
Python bindings for isomd5sum.

%prep
%autosetup

%build
PYTHON=%{__python3} make checkisomd5 implantisomd5 pyisomd5sum.so

%install
PYTHON=%{__python3} make DESTDIR=%{buildroot} install-bin install-devel install-python

%files
%license COPYING
%{_bindir}/implantisomd5
%{_bindir}/checkisomd5
%{_mandir}/man*/*

%files devel
%{_includedir}/*.h
%{_libdir}/*.a
/usr/share/pkgconfig/isomd5sum.pc

%files -n python3-isomd5sum
%{python3_sitearch}/pyisomd5sum.so

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.3-8
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.3-7
- Rebuilt for loongarch release

* Fri Mar 22 2024 Wenlong Zhang <zhangwenlong@loongson.cn> - 1.2.3-6
- add loongarch64 support for isomd5sum

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.3-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.3-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.3-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.3-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Aug 31 2022 ZoeDong <zoedong@tencent.com> - 1.2.3-1
- Initial build

